Skip to main content
POST
/
external_wallets
/
{walletId}
/
{assetId}
TypeScript
const response: Promise<FireblocksResponse<ExternalWalletAsset>> = fireblocks.externalWallets.addAssetToExternalWallet(externalWalletsApiAddAssetToExternalWalletRequest);
{
  "id": "<string>",
  "status": "WAITING_FOR_APPROVAL",
  "address": "<string>",
  "balance": 123,
  "lockedAmount": 123,
  "tag": "<string>",
  "activationTime": "<string>",
  "additionalInfo": [
    {
      "accountHolderGivenName": "<string>",
      "accountHolderSurname": "<string>",
      "accountHolderCity": "<string>",
      "accountHolderCountry": "<string>",
      "accountHolderAddress1": "<string>",
      "accountHolderAddress2": "<string>",
      "accountHolderDistrict": "<string>",
      "accountHolderPostalCode": "<string>",
      "abaRoutingNumber": "<string>",
      "abaAccountNumber": "<string>",
      "abaCountry": "<string>",
      "iban": "<string>",
      "ibanCity": "<string>",
      "ibanCountry": "<string>",
      "speiClabe": "<string>",
      "speiName": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

walletId
string
required

The ID of the wallet

assetId
string
required

The ID of the asset to add

Body

application/json

Request schema for adding an asset to an external wallet

address
string
required

The wallet's address (or xpub) of the external wallet

Example:

"1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"

tag
string

For XRP wallets, the destination tag; for EOS/XLM, the memo; for the fiat providers (BLINC by BCB Group), the Bank Transfer Description

Example:

"12345"

Response

A Wallet Asset object

id
string
status
enum<string>
Available options:
WAITING_FOR_APPROVAL,
APPROVED,
CANCELLED,
REJECTED,
FAILED
address
string
balance
number
lockedAmount
number
tag
string
activationTime
string
additionalInfo
object[]